Bug 905140 - Code change request - refactor AsyncDataProvider (and other DataProvider)
Code change request - refactor AsyncDataProvider (and other DataProvider)
Status: CLOSED DEFERRED
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Einav Cohen
ux
: CodeChange, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 11:51 EST by Yair Zaslavsky
Modified: 2016-01-28 16:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:53:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yair Zaslavsky 2013-01-28 11:51:18 EST
Description of problem:

I would suggest to break down AsyncDataProvider and other DataProvider classes to classes based on entities.

A similar approach was done with DbFacade class at engine - it contained lots of methods for CRUD operations on engine - these were extracted out to DAOs (VmStaticDao , etc...)

I think this will make the code more readable.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2013-12-01 03:47:40 EST
vojtech - can be closed as part of the rest api work?
Comment 2 vszocs 2013-12-09 09:22:24 EST
(In reply to Itamar Heim from comment #1)
> vojtech - can be closed as part of the rest api work?

Yes, I think we can close this for now.

AsyncDataProvider class still contains lots of code, however this code invokes queries via GWT RPC.

Assuming oVirt JavaScript SDK initiative, when moving UI to work with REST API, we can do one of following:

1, aggregate helper methods based on logical entity (as suggested by Yair) as part of continual transition to REST API usage

2, move these helper methods (or a subset) into JavaScript SDK itself
Comment 3 Itamar Heim 2013-12-09 09:53:26 EST
going to be resolved via the move to rest api

Note You need to log in before you can comment on or make changes to this bug.